com.ibm.openpages.api.workflow.actions

## Interface IWFCustomAction

- All Known Implementing Classes:
    AbstractCustomAction

      public interface IWFCustomAction

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute to process the custom action
    `IWFOperationContext` | `getContext()` Returns the operation context for the action.
    `java.util.List<IWFFieldSetter>` | `getFields()` Returns the list of field objects.
    `java.lang.String` | `getPropertyValue(java.lang.String propertyName)` Returns custom property values by name.
    `IWFObjectsEval` | `getTargetObjects()` Returns the evaluation to get the target objects
    `boolean` | `validate()` API to be implemented by sub-classes to validate configuration of the custom action

- - ### Method Detail

    - #### execute

          void execute()
                throws java.lang.Exception

      Execute to process the custom action
      Throws:
        `java.lang.Exception`

    - #### validate

          boolean validate()

      API to be implemented by sub-classes to validate configuration of the custom action
      Returns:
        boolean

    - #### getPropertyValue

          java.lang.String getPropertyValue(java.lang.String propertyName)

      Returns custom property values by name.
      Parameters:
        `propertyName` -
      Returns:
        String property value

    - #### getContext

          IWFOperationContext getContext()

      Returns the operation context for the action.
      Returns:

    - #### getFields

          java.util.List<IWFFieldSetter> getFields()

      Returns the list of field objects.
      Returns:

    - #### getTargetObjects

          IWFObjectsEval getTargetObjects()

      Returns the evaluation to get the target objects
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.